package cz.muni.fi.pb162.graphics;


/**
 * Write a description of class Circle here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Circle extends AbstractGrObject implements Comparable<Circle> 
{
    private double radius;
    
    private Point center;
    
    public Circle(Color color, Point center, double radius) {
        super(color);
        this.center = center;
        this.radius = radius;
    }
    
    public double getPerimeter() {
        return 2.0 * Math.PI * radius;
    }
    
    public boolean equals(Object obj) {
        if (!(obj instanceof Circle)) {
            return false;
        }
        Circle c = (Circle) obj;
        return (radius == c.radius) && (center.equals(c.center));
    }
    
    public int hashCode() {
        int hash = 1;
        hash = hash * 31 + (int) radius;
        hash = hash * 31 + center.hashCode();
        return hash;
    }
    
    public int compareTo(Circle c) {
        int dist = this.center.compareTo(c.center);
        if (dist != 0) return dist;
        return (int) (this.radius - c.radius);
    }
}


















