package cz.muni.fi.pb162.graphics;

public class Rectangle extends AbstractGrObject implements Comparable<Rectangle>
{
    private double width;
    
    private double height;
    
    public Rectangle(Color color, double width, double height) {
        super(color);
        this.width = width;
        this.height = height;
    }
    
    public double getPerimeter() {
        return 2.0 * (width + height);
    }
    
    public int compareTo(Rectangle rect) {
        return (int) (this.getPerimeter() - rect.getPerimeter());
    }
}
